# Uses of Interface
org.apache.qpid.proton.reactor.Selectable.Callback

Packages that use Selectable.Callback
Package
Description
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Selectable.Callback in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor with parameters of type Selectable.Callback
Modifier and Type
Method
Description
`void`
Selectable.`onError(Selectable.Callback runnable)`
Registers a callback that will be run when the selectable is notified of an error.
`void`
Selectable.`onExpired(Selectable.Callback runnable)`
Registers a callback that will be run when the selectable expires.
`void`
Selectable.`onFree(Selectable.Callback runnable)`
Registers a callback that will be run when the selectable is notified that it has been free'd.
`void`
Selectable.`onReadable(Selectable.Callback runnable)`
Registers a callback that will be run when the selectable becomes ready for reading.
`void`
Selectable.`onRelease(Selectable.Callback runnable)`
Registers a callback that will be run when the selectable is notified that it has been released.
`void`
Selectable.`onWritable(Selectable.Callback runnable)`
Registers a callback that will be run when the selectable becomes ready for writing.

## Uses of Selectable.Callback in org.apache.qpid.proton.reactor.impl

Methods in org.apache.qpid.proton.reactor.impl with parameters of type Selectable.Callback
Modifier and Type
Method
Description
`void`
SelectableImpl.`onError(Selectable.Callback runnable)`
`void`
SelectableImpl.`onExpired(Selectable.Callback runnable)`
`void`
SelectableImpl.`onFree(Selectable.Callback runnable)`
`void`
SelectableImpl.`onReadable(Selectable.Callback runnable)`
`void`
SelectableImpl.`onRelease(Selectable.Callback runnable)`
`void`
SelectableImpl.`onWritable(Selectable.Callback runnable)`